function battle_jai005(npcID) --蝎王

	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	
	local m=flag.GetBattleValue(12954)
    
	
	local hp = battle.GetSelfHP(2)
	if hp>=70 then
		a = battle.GetRndNumber(1,10)
		if a>=1 and a<=6 then

			id = battle.GetRndPlayer()
			battle.AtkToPlayer(id,1)     --普通攻击
		else

			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1210,1)   --单体法术
		end

	elseif hp>=20 and hp<70 then
		if m==0 then
			ui.Popo_Auto(87048,1,npcID,2)--可恶……
			global.Wait(1.5)
			flag.SetBattleValue(12954,1)
		elseif m==1 then
			ui.Popo_Auto(87049,1,npcID,2)--想当年我也是英俊潇洒……
			global.Wait(1.5)
			flag.SetBattleValue(12954,2)
		elseif m==2 then
			ui.Popo_Auto(87050,1,npcID,2)--如今这幅模样，被人当成妖怪到处驱赶。
			global.Wait(1.5)
			flag.SetBattleValue(12954,3)
		elseif m==3 then
			ui.Popo_Auto(87051,1,npcID,2)--人心险恶，连妖魔也比不上。
			global.Wait(1.5)			
			flag.SetBattleValue(12954,4)	
		elseif m==4 then
			ui.Popo_Auto(87052,1,npcID,2)--今日遇见你们，休怪我手下无情！
			global.Wait(1.5)			
			flag.SetBattleValue(12954,5)		
			battle.SetDamageScale(3)
			id = battle.GetRndPlayer()
			battle.AtkToPlayer(id,1)     --普通攻击
			return
		end
		a = battle.GetRndNumber(1,10)
		if a>=1 and a<=6 then
			battle.SetDamageScale(2)
			id = battle.GetRndPlayer()
			battle.AtkToPlayer(id,1)     --普通攻击
		else
			battle.SetSkillScale(200)
			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1210,1)   --单体法术
		end
		
		
	else
		if m<=5 then
			ui.Popo_Auto(87053,1,npcID,2)--可恶！就这几个人我也打不过吗！
			global.Wait(1.5)			
			flag.SetBattleValue(12954,6)
		elseif m==6 then
			ui.Popo_Auto(87054,1,npcID,2)--我不甘心，我不甘心！
			global.Wait(1.5)			
			flag.SetBattleValue(12954,7)
		
		end
		a = battle.GetRndNumber(1,10)
		if a>=1 and a<=5 then
			battle.SetDamageScale(3)
			id = battle.GetRndPlayer()
			battle.AtkToPlayer(id,1)     --普通攻击
		else
			battle.SetSkillScale(300)
			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1210,1)   --单体法术
		end

	
	end
end